package com.njcn.process.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.njcn.process.pojo.param.RFlowProcessParm;
import com.njcn.process.pojo.param.RFlowProcessQueryParm;
import com.njcn.process.pojo.po.RFlowProcessPO;
import com.baomidou.mybatisplus.extension.service.IService;
import com.njcn.process.pojo.vo.applyform.RFlowProcessVO;

/**
 * 
 * Description:
 * Date: 2024/4/15  16:24【需求编号】
 *
 * @author clam
 * @version V1.0.0
 */
public interface RFlowProcessPOService extends IService<RFlowProcessPO>{


        Boolean add(RFlowProcessParm rFlowProcessParm);

        Boolean update(RFlowProcessParm.RFlowProcessUpdate rFlowProcessParm);

        Boolean check(RFlowProcessParm.RFlowProcessCheck rFlowProcessCheck);

        Boolean file(String id);

        Page<RFlowProcessVO> getFlowProcess(RFlowProcessQueryParm rFlowProcessQueryParm);

        Boolean createCheckflow(String id);
}
